## python-fastjsonschema 2.15.1

=== docs/Makefile ===
.PHONY: all
all: sphinx

BUILDDIR=../../python-fastjsonschema-doc
SPHINXOPTS=-n -W -d $(BUILDDIR)/doctrees .

.PHONY: sphinx
sphinx:
	sphinx-build -b html $(SPHINXOPTS) $(BUILDDIR)/html

.PHONY: clean
clean:
	rm -rf build

=== debian/changelog ===
python-fastjsonschema (2.15.1-2) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Mon, 11 Oct 2021 21:49:30 -0400

python-fastjsonschema (2.15.1-1) unstable; urgency=medium

  * Initial release (Closes: #948968).

 -- Adam Cecile <acecile@le-vert.net>  Tue, 28 Sep 2021 22:12:54 +0200

=== debian/control ===
Source: python-fastjsonschema
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 json-schema-test-suite <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://horejsek.github.io/python-fastjsonschema/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fastjsonschema
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fastjsonschema.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-fastjsonschema
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-fastjsonschema-doc
Description: validation of JSON documents by JSON schema drafts 04/06/07
 Fastjsonschema implements validation of JSON documents by JSON schema.
 .
 The library implements JSON schema drafts 04, 06 and 07.
 .
 The main purpose is to have a really fast implementation.
 .
 This package installs the library for Python 3.

Package: python-fastjsonschema-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: validation of JSON documents by JSON schema drafts 04/06/07 (documentation)
 Fastjsonschema implements validation of JSON documents by JSON schema.
 .
 The library implements JSON schema drafts 04, 06 and 07.
 .
 The main purpose is to have a really fast implementation.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fastjsonschema

export PYBUILD_BEFORE_TEST=cp -r /usr/share/json-schema-test-suite/ {build_dir}/JSON-Schema-Test-Suite
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/JSON-Schema-Test-Suite

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## python-fastjsonschema 2.16.2

=== debian/changelog ===
python-fastjsonschema (2.16.2-1) unstable; urgency=medium

  * Team upload.
  * d/gbp-conf: Add some more default values
  * New upstream version 2.16.2
  * d/u/metadata: Add Documentation key pointing to project website
  * d/control: Point upstream homepage to the GitHub resource
  * d/control: Increase Standards-Version to 4.6.2
    No further modifications needed.
  * d/copyright: Update upstream copyright year data
  * python-fastjsonschema-doc: Use dh_sphinxdoc for build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Jan 2023 09:54:39 +0100

python-fastjsonschema (2.15.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints on python-fastjsonschema-doc
    Add Multi-Arch: foreign.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:09:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Adam Cecile <acecile@le-vert.net>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  json-schema-test-suite <!nocheck>,
-Standards-Version: 4.6.0
-Homepage: https://horejsek.github.io/python-fastjsonschema/
+Standards-Version: 4.6.2
+Homepage: https://github.com/horejsek/python-fastjsonschema
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fastjsonschema
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fastjsonschema.git
 Testsuite: autopkgtest-pkg-python
@@ -37,6 +38,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: validation of JSON documents by JSON schema drafts 04/06/07 (documentation)
  Fastjsonschema implements validation of JSON documents by JSON schema.
  .

## python-fastjsonschema 2.16.3

=== Makefile ===
.PHONY: all venv lint jsonschemasuitcases test test-lf benchmark benchmark-save performance printcode doc upload deb clean
SHELL=/bin/bash

VENV_NAME?=venv
VENV_BIN=$(shell pwd)/${VENV_NAME}/bin

PYTHON=${VENV_BIN}/python3


all:
	@echo "make test - Run tests during development"
	@echo "make performance - Run performance test of this and other implementation"
	@echo "make doc - Make documentation"
	@echo "make clean - Get rid of scratch and byte files"


venv: $(VENV_NAME)/bin/activate
$(VENV_NAME)/bin/activate: setup.py
	test -d $(VENV_NAME) || virtualenv -p python3 $(VENV_NAME)
	# Some problem in latest version of setuptools during extracting translations.
	${PYTHON} -m pip install -U pip setuptools==39.1.0
	${PYTHON} -m pip install -e .[devel]
	touch $(VENV_NAME)/bin/activate

lint: venv
	${PYTHON} -m pylint fastjsonschema

jsonschemasuitcases:
	git submodule init
	git submodule update

test: venv jsonschemasuitcases
	${PYTHON} -m pytest -W default --benchmark-skip
test-lf: venv jsonschemasuitcases
	${PYTHON} -m pytest -W default --benchmark-skip --last-failed

# Call make benchmark-save before change and then make benchmark to compare results.
benchmark: venv jsonschemasuitcases
	${PYTHON} -m pytest \
		-W default \
		--benchmark-only \
		--benchmark-sort=name \
		--benchmark-group-by=fullfunc \
		--benchmark-disable-gc \
		--benchmark-compare \
		--benchmark-compare-fail='min:5%'
benchmark-save: venv jsonschemasuitcases
	${PYTHON} -m pytest \
		-W default \
		--benchmark-only \
		--benchmark-sort=name \
		--benchmark-group-by=fullfunc \
		--benchmark-disable-gc \
		--benchmark-save=benchmark \
		--benchmark-save-data

performance: venv
	${PYTHON} performance.py

printcode: venv
	cat schema.json | python3 -m fastjsonschema

doc:
	cd docs; make

upload: venv
	${PYTHON} setup.py register sdist bdist_wheel upload

deb: venv
	${PYTHON} setup.py --command-packages=stdeb.command bdist_deb

clean:
	find . -name '*.pyc' -exec rm --force {} +
	rm -rf $(VENV_NAME) *.eggs *.egg-info dist build docs/_build .mypy_cache .cache

=== debian/changelog ===
python-fastjsonschema (2.16.3-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Add additional needed package
    (Closes: #1032044)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Feb 2023 18:38:43 +0100

python-fastjsonschema (2.16.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.16.3
  * d/*: Running wrap-and-sort -ast
  * d/control: Sort binary packages alphabetical
  * d/copyright: Update year data
  * autopkgtest: Add upstream tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Feb 2023 08:17:11 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-fastjsonschema-$1.tar.gz%" \
   https://github.com/horejsek/python-fastjsonschema/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-fastjsonschema 2.17.1

=== debian/changelog ===
python-fastjsonschema (2.17.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.17.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 18:39:24 +0200

## python-fastjsonschema 2.18.0

=== debian/changelog ===
python-fastjsonschema (2.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.18.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Jul 2023 16:08:06 +0200

## python-fastjsonschema 2.19.0

=== debian/changelog ===
python-fastjsonschema (2.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.19.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Dec 2023 20:17:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=fastjsonschema

export PYBUILD_BEFORE_TEST=cp -r /usr/share/json-schema-test-suite/ {build_dir}/JSON-Schema-Test-Suite
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/JSON-Schema-Test-Suite

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-fastjsonschema-doc/usr/share/doc/python-fastjsonschema-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

=== debian/tests/control ===
Tests:
 smoke
Depends:
 json-schema-test-suite,
 python3-all,
 python3-pytest,
 python3-pytest-benchmark,
 @,
Restrictions: allow-stderr

## python-fastjsonschema 2.19.1

=== debian/changelog ===
python-fastjsonschema (2.19.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.19.1
  * Rebuild patch queue from patch-queue branch
    Added patch:
    Use-warnings.catch_warnings-instead-of-pytest.warns-None-.patch
    (Closes: #1066756, #1063949)
  * d/copyright: Update upstream copyright year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Mar 2024 12:11:33 +0100

=== debian/control ===
Source: python-fastjsonschema
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adam Cecile <acecile@le-vert.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 json-schema-test-suite <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/horejsek/python-fastjsonschema
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fastjsonschema
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fastjsonschema.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-fastjsonschema-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: validation of JSON documents by JSON schema drafts 04/06/07 (documentation)
 Fastjsonschema implements validation of JSON documents by JSON schema.
 .
 The library implements JSON schema drafts 04, 06 and 07.
 .
 The main purpose is to have a really fast implementation.
 .
 This is the common documentation package.

Package: python3-fastjsonschema
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-fastjsonschema-doc,
Description: validation of JSON documents by JSON schema drafts 04/06/07
 Fastjsonschema implements validation of JSON documents by JSON schema.
 .
 The library implements JSON schema drafts 04, 06 and 07.
 .
 The main purpose is to have a really fast implementation.
 .
 This package installs the library for Python 3.

## python-fastjsonschema 2.20.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all venv lint jsonschemasuitcases test test-lf benchmark benchmark-save performance printcode doc upload deb clean
+.PHONY: all venv lint jsonschemasuitcases test test-lf benchmark benchmark-save performance printcode doc build upload deb clean
 SHELL=/bin/bash
 
 VENV_NAME?=venv
@@ -17,8 +17,7 @@
 venv: $(VENV_NAME)/bin/activate
 $(VENV_NAME)/bin/activate: setup.py
 	test -d $(VENV_NAME) || virtualenv -p python3 $(VENV_NAME)
-	# Some problem in latest version of setuptools during extracting translations.
-	${PYTHON} -m pip install -U pip setuptools==39.1.0
+	${PYTHON} -m pip install -U pip setuptools twine build
 	${PYTHON} -m pip install -e .[devel]
 	touch $(VENV_NAME)/bin/activate
 
@@ -63,8 +62,11 @@
 doc:
 	cd docs; make
 
-upload: venv
-	${PYTHON} setup.py register sdist bdist_wheel upload
+build: venv
+	${PYTHON} -m build
+
+upload: venv build
+	${PYTHON} -m twine upload --repository pypi dist/*
 
 deb: venv
 	${PYTHON} setup.py --command-packages=stdeb.command bdist_deb

=== debian/changelog ===
python-fastjsonschema (2.20.0-1) unstable; urgency=medium

  * [431de30] New upstream version 2.20.0
  * [a402835] Rebuild patch queue from patch-queue branch
    Deleted patch:
    Use-warnings.catch_warnings-instead-of-pytest.warns-None-.patch
    Renamed patch:
    debian/patches/Disable_sphinxtogithub_doc_ext.patch
    -> debian/patches/docs-Disable-sphinx-extension-sphinxtogithub.patch
  * [b2c67ac] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [740c5d1] d/control: Add myself to Uploaders
    As sugested by Carsten Schoenert.
  * [cbb63d1] d/README.source: Adding data about source
  * [ec58064] d/gbp.conf: Added dch section

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Fri, 28 Jun 2024 21:05:27 +0530

## python-fastjsonschema 2.21.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	git submodule update
 
 test: venv jsonschemasuitcases
-	${PYTHON} -m pytest -W default --benchmark-skip
+	${PYTHON} -m pytest -W default --benchmark-skip #tests/json_schema/test_draft07.py
 test-lf: venv jsonschemasuitcases
 	${PYTHON} -m pytest -W default --benchmark-skip --last-failed

=== debian/changelog ===
python-fastjsonschema (2.21.1-1) unstable; urgency=medium

  * [bfc90e2] New upstream version 2.21.1
  * [b3421bb] Rebuild patch queue from patch-queue branch
    Added patch:
    Use-python3-instead-of-python.patch

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 28 Dec 2024 20:04:45 +0530

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Adam Cecile <acecile@le-vert.net>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,7 +16,7 @@
  python3-pytest-benchmark <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/horejsek/python-fastjsonschema
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fastjsonschema
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fastjsonschema.git
